%define major		2
%define libxft 		%mklibname xft %{major}
%define develname	%mklibname -d xft

Name:		libxft
Summary:	X FreeType library
Version:	2.3.8
Release:	%mkrel 1
Group:		Development/X11
License:	MIT
URL:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXft-%{version}.tar.xz

BuildRequires:	pkgconfig(fontconfig) >= 2.3.93
BuildRequires:	pkgconfig(xau) >= 1.0.0
BuildRequires:	pkgconfig(xrender) >= 0.9.0.2
BuildRequires:	x11-util-macros >= 1.0.1

%description
X FreeType library.

#-----------------------------------------------------------

%package -n	%{libxft}
Summary:	X FreeType library
Group:		Development/X11
Provides:	%{name} = %{version}

%description -n %{libxft}
X FreeType library.

%files -n %{libxft}
%{_libdir}/libXft.so.%{major}
%{_libdir}/libXft.so.%{version}

#-----------------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libxft} = %{version}
Provides:	xft2-devel = %{version}-%{release}
Provides:	libxft-devel = %{version}-%{release}

%description -n %{develname}
Development files for %{name}.

%files -n %{develname}
%{_libdir}/libXft.so
%{_libdir}/pkgconfig/xft.pc
%{_includedir}/X11/Xft/Xft.h
%{_includedir}/X11/Xft/XftCompat.h
%{_mandir}

#-----------------------------------------------------------

%prep
%setup -q -n libXft-%{version}

%build
%configure2_5x	--x-includes=%{_includedir} --x-libraries=%{_libdir} --disable-static
%make

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete



%changelog
* Wed Apr 19 2023 tex - 2.3.8-1pclos2023
- new version

* Wed Nov 16 2022 tex - 2.3.7-1pclos2022
- new version

* Mon Sep 12 2022 tex - 2.3.6-1pclos2022
- new version

* Tue Sep 06 2022 tex - 2.3.5-1pclos2022
- new version

* Wed Jan 26 2022 tex - 2.3.4-2pclos2022
- rebuild against updates

* Tue Aug 03 2021 tex - 2.3.4-1pclos2021
- new version

* Sat Apr 24 2021 tex - 2.3.3-4pclos2021
- rebuild against updates

* Sun Mar 31 2019 tex - 2.3.3-3pclos2019
- rebuild against updates

* Thu Mar 21 2019 tex - 2.3.3-2pclos2019
- rebuild against updates

* Sun Mar 17 2019 tex - 2.3.3-1pclos2019
- rebuild against updates
